package com.kingdee.eas.custom.dormitorysystem.waterpower;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WaterPowerMeterReadingCollection extends AbstractObjectCollection 
{
    public WaterPowerMeterReadingCollection()
    {
        super(WaterPowerMeterReadingInfo.class);
    }
    public boolean add(WaterPowerMeterReadingInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WaterPowerMeterReadingCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WaterPowerMeterReadingInfo item)
    {
        return removeObject(item);
    }
    public WaterPowerMeterReadingInfo get(int index)
    {
        return(WaterPowerMeterReadingInfo)getObject(index);
    }
    public WaterPowerMeterReadingInfo get(Object key)
    {
        return(WaterPowerMeterReadingInfo)getObject(key);
    }
    public void set(int index, WaterPowerMeterReadingInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WaterPowerMeterReadingInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WaterPowerMeterReadingInfo item)
    {
        return super.indexOf(item);
    }
}